### GET /api/v2/components Source: https://developer.ardoq.com/api/v2/openapi.json List all components. Query parameters can be used to retrieve a subset of the collection. All included query parameters are interpreted as forming a logical **conjunction**, meaning that only the components that satisfy every property will be returned. The list endpoint supports searching for custom fields. When searching for a custom field, the value is interpreted based on the type associated with the field. This means that you are not required to _quote_ strings. To include a **custom field** in your search, you should specify the JSON path. For example; if you wanted to search for all components that have the **name** "Ardoq" and the **custom field** `my_field` with a boolean value of `true` you would use the query param: ```name=Ardoq&customFields.my_field=true``` ```markdown ### Parameters - **name** (string, query, optional): The name of the entity. - **rootWorkspace** (string, query, optional): The ardoq identifier of the workspace that the component belongs to. - **parent** (string, query, optional): The parent identifier of the component. - **componentKey** (string, query, optional): Referred to as the 'Ardoq ID' in the App - **typeId** (string, query, optional): The type identifier of the component. ### Responses #### 200 - Success - **values** (array (object)) (required) Array items: - **rootWorkspace** (string) (required): The Ardoq identifier (oid) of the workspace that the component belongs to. (example: "81811668b806abc1b288f762") - **shape** (string): Shape is a style attribute used by the front-end to display the component shape in views like the block diagram. By default this will use the shape defined by the component-type, but can be overriden by setting it explicitly per-component. A list of valid values for this attribute should be found by inspecting the style drop-down in the front-end. (example: "terminal") - **image** (string): Image is a style attribute used by the front-end to display the component image in views like the block diagram. By default this will use the image defined by the component-type, but can be overriden by setting it explicitly per-component. (example: "/api/attachment/workspace/123456789abcdef123456789/index.jpg") - **parent** (string): The Ardoq identifier (oid) of the parent component. (example: "fb711991be1851bb6094c879") - **name** (string) (required): The name of the component. (example: "My Component") - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") - **typeId** (unknown) (required): Component types are drawn from the type-hierarchy defined by the workspace's metamodel. (example: "p56300609361") - **type** (string): The name of the component type. (example: "Decision") - **_id** (string) (required): The unique Ardoq identifier (oid) of the component. (example: "568bcbb61623fb5e060afe34") - **_version** (integer (int64)) (required): The current version of the component. Versions are used to resolve contention between different users editing the same entity simultaneously. (example: 1) - **componentKey** (string): The component key can be used to uniquely refer to a component in a more human-readable way, and is searchable in the application. (example: "BIZ-1234") - **color** (string): Color is a style attribute used by the front-end to display the component color in views like the block diagram. By default this will use the color defined by the component-type, but can be overriden by setting it explicitly per-component. (example: "rgba(72,72,72,1)") - **description** (string): A description of the component. (example: "My favorite component") - **customFields** (object) (required): A custom field is a key/value pair that is not intrinsic to the ardoq model. - **icon** (string): Icon is a style attribute used by the front-end to display the component icon in views like the block diagram. By default this will use the icon defined by the component-type, but can be overriden by setting it explicitly per-component. A list of valid values for this attribute should be found by inspecting the style drop-down in the front-end. (example: "road") - **_links** (object) (required): Links related to the paginated results. - **next** (object): A link to the next page in a paginated result. - **href** (string) (required): A URI that can be used to retrieve the next set of paginated results. - **_meta** (object): Metadata related to the paginated response. ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/components?name=string&rootWorkspace=string&parent=string&componentKey=string&typeId=string" ``` ``` -------------------------------- ### GET /api/v2/components/{id} Source: https://developer.ardoq.com/api/v2/openapi.json Get a component associated with a given Ardoq Identifier. ```markdown ### Parameters - **id** (string, path, required): An Ardoq identifier (OID) ### Responses #### 200 - Success - **rootWorkspace** (string) (required): The Ardoq identifier (oid) of the workspace that the component belongs to. (example: "81811668b806abc1b288f762") - **shape** (string): Shape is a style attribute used by the front-end to display the component shape in views like the block diagram. By default this will use the shape defined by the component-type, but can be overriden by setting it explicitly per-component. A list of valid values for this attribute should be found by inspecting the style drop-down in the front-end. (example: "terminal") - **image** (string): Image is a style attribute used by the front-end to display the component image in views like the block diagram. By default this will use the image defined by the component-type, but can be overriden by setting it explicitly per-component. (example: "/api/attachment/workspace/123456789abcdef123456789/index.jpg") - **parent** (string): The Ardoq identifier (oid) of the parent component. (example: "fb711991be1851bb6094c879") - **name** (string) (required): The name of the component. (example: "My Component") - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") - **typeId** (unknown) (required): Component types are drawn from the type-hierarchy defined by the workspace's metamodel. (example: "p56300609361") - **type** (string): The name of the component type. (example: "Decision") - **_id** (string) (required): The unique Ardoq identifier (oid) of the component. (example: "568bcbb61623fb5e060afe34") - **_version** (integer (int64)) (required): The current version of the component. Versions are used to resolve contention between different users editing the same entity simultaneously. (example: 1) - **componentKey** (string): The component key can be used to uniquely refer to a component in a more human-readable way, and is searchable in the application. (example: "BIZ-1234") - **color** (string): Color is a style attribute used by the front-end to display the component color in views like the block diagram. By default this will use the color defined by the component-type, but can be overriden by setting it explicitly per-component. (example: "rgba(72,72,72,1)") - **description** (string): A description of the component. (example: "My favorite component") - **customFields** (object) (required): A custom field is a key/value pair that is not intrinsic to the ardoq model. - **icon** (string): Icon is a style attribute used by the front-end to display the component icon in views like the block diagram. By default this will use the icon defined by the component-type, but can be overriden by setting it explicitly per-component. A list of valid values for this attribute should be found by inspecting the style drop-down in the front-end. (example: "road") ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/components/{id}" ``` ``` -------------------------------- ### GET /api/v2/me Source: https://developer.ardoq.com/api/v2/openapi.json A simple endpoint for testing your connection to the Ardoq server. ```markdown ### Responses #### 200 - Success - **org** (object) - **name** (string) (required): The name of the organization (org) associated with the request. (example: "My Org") - **label** (string) (required): The label of the organization (org) associated with the request. (example: "myorg") - **user** (object) - **email** (string) (required): The email of the user associated with the request. (example: "me@myorg.com") ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/me" ``` ``` -------------------------------- ### GET /api/v2/references Source: https://developer.ardoq.com/api/v2/openapi.json List all references. Query parameters can be used to retrieve a subset of the collection. All included query parameters are interpreted as forming a logical **conjunction**, meaning that only the references that satisfy every property will be returned. The list endpoint supports searching for custom fields. When searching for a custom field, the value is interpreted based on the type associated with the field. This means that you are not required to _quote_ strings. To include a **custom field** in your search, you should specify the JSON path. For example; if you wanted to search for all references that have the **displayText** "Ardoq" and the **custom field** `my_field` with a boolean value of `true` you would use the query param: ```displayText=Ardoq&customFields.my_field=true``` ```markdown ### Parameters - **displayText** (string, query, optional): Display label for your reference. - **rootWorkspace** (string, query, optional): The ardoq identifier of the workspace that the reference/source belongs to. - **source** (string, query, optional): The ardoq identifier of the source. - **targetWorkspace** (string, query, optional): The ardoq identifier of the workspace that the target belongs to. - **target** (string, query, optional): The ardoq identifier of the target. - **type** (string, query, optional): The type identifier of the reference. ### Responses #### 200 - Success - **values** (array (object)) (required) Array items: - **rootWorkspace** (string): This is a read-only field maintained by the backend to simplify workspace lookups. It is derived from the `source` attribute. A reference's `rootWorkspace` cannot be changed by modifying this attribute. (example: "bb152787baa4dc47536ba6eb") - **targetWorkspace** (string): This is a read-only field maintained by the backend to simplify workspace lookups. It is derived from the `target` attribute. A reference's `targetWorkspace` cannot be changed by modifying this attribute. (example: "5ce4601751691a56dc798f8a") - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") - **source** (string) (required): ID of the reference's source component. (example: "50df3e8d7f18b53672cb786f") - **type** (integer (int64)) (required): Required type ID for the reference. This ID must be a valid type defined by the model that is used by the `rootWorkspace`. (example: 2) - **_id** (string) (required): The unique Ardoq identifier (oid) of the reference. (example: "ec9919750b0d43273344fab0") - **target** (string) (required): ID of the reference's target component. (example: "c05da56a298a4bc1d7e6fe9b") - **_version** (integer (int64)) (required): Reference versions are used to resolve contention between different users editing the same entity simultaneously. This value should not be modified. (example: 1) - **description** (string): Optional description for your reference (example: "This is a reference description.") - **displayText** (string): Optional display label for your reference in views such as the block diagram. (example: "Depends on") - **customFields** (object) (required): A custom field is a key/value pair that is not intrinsic to the ardoq model. - **_links** (object) (required): Links related to the paginated results. - **next** (object): A link to the next page in a paginated result. - **href** (string) (required): A URI that can be used to retrieve the next set of paginated results. - **_meta** (object): Metadata related to the paginated response. ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/references?displayText=string&rootWorkspace=string&source=string&targetWorkspace=string&target=string&type=string" ``` ``` -------------------------------- ### GET /api/v2/reports/{id} Source: https://developer.ardoq.com/api/v2/openapi.json Get the overview of a report associated with a given Ardoq Identifier. The overview contains the name, description, and other _meta_ information about the report. The overview does not contain the actual report data. ```markdown ### Parameters - **id** (string, path, required): An Ardoq identifier (OID) ### Responses #### 200 - Success - **_id** (string) (required): The unique Ardoq identifier (oid) of the report. (example: "63ea1a02bbed2e0001a19a9c") - **_version** (integer (int64)) (required): The current version of the report. Versions are used to resolve contention between different users editing the same entity simultaneously. (example: 1) - **name** (string) (required): Name of report and stored query (example: "The best of reports") - **datasource** (string (graphSearch|advancedSearch)) (required): The type of data source backing the report ("graphSearch"|"advancedSearch") - **columns** (array (object)) (required): Information about the columns in a report Array items: - **label** (string) (required): The column name as displayed in the Ardoq UI. (example: "Application") - **key** (string) (required): The api name of the custom field or built-in property (or custom gremlin result) (example: "application") - **description** (string): An optional description of the report - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/reports/{id}" ``` ``` -------------------------------- ### GET /api/v2/workspaces Source: https://developer.ardoq.com/api/v2/openapi.json List all workspaces. Query parameters can be used to retrieve a subset of the workspaces. All included query parameters are interpreted as forming a logical **conjunction**, meaning that only workspaces that satisfy every property will be returned. ```markdown ### Parameters - **name** (string, query, optional): The name of the entity. - **componentModel** (string, query, optional): The ardoq identifier of the model that the workspace has. ### Responses #### 200 - Success - **values** (array (object)) (required) Array items: - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") - **_id** (string) (required): Unique component `id`. Required and read-only. (example: "eeca8d3f3e85bfc0a64916d0") - **_version** (integer (int64)) (required): Versions are used to resolve contention between different users editing the same entity simultaneously. (example: 1) - **name** (string) (required): The name of your workspace. Required. (example: "My First Workspace") - **description** (string): Describe your workspace! (example: "My favorite workspace") - **views** (array (string)): The views that are configured as default tabs at the top of the workspace. (example: ["blockDiagram","tableView"]) - **startView** (string): The default view that will be shown when opening the workspace. (example: "blockDiagram") - **workspaceKey** (string): A unique human-readible workspace identifier. (example: "ABC") - **_links** (object) (required): Links related to the paginated results. - **next** (object): A link to the next page in a paginated result. - **href** (string) (required): A URI that can be used to retrieve the next set of paginated results. - **_meta** (object): Metadata related to the paginated response. ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/workspaces?name=string&componentModel=string" ``` ``` -------------------------------- ### GET /api/v2/workspaces/{id} Source: https://developer.ardoq.com/api/v2/openapi.json Get a workspace associated with a given Ardoq Identifier. ```markdown ### Parameters - **id** (string, path, required): An Ardoq identifier (OID) ### Responses #### 200 - Success - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") - **_id** (string) (required): Unique component `id`. Required and read-only. (example: "eeca8d3f3e85bfc0a64916d0") - **_version** (integer (int64)) (required): Versions are used to resolve contention between different users editing the same entity simultaneously. (example: 1) - **name** (string) (required): The name of your workspace. Required. (example: "My First Workspace") - **description** (string): Describe your workspace! (example: "My favorite workspace") - **views** (array (string)): The views that are configured as default tabs at the top of the workspace. (example: ["blockDiagram","tableView"]) - **startView** (string): The default view that will be shown when opening the workspace. (example: "blockDiagram") - **workspaceKey** (string): A unique human-readible workspace identifier. (example: "ABC") ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/workspaces/{id}" ``` ``` -------------------------------- ### GET /api/v2/references/{id} Source: https://developer.ardoq.com/api/v2/openapi.json Get a reference associated with a given Ardoq Identifier. ```markdown ### Parameters - **id** (string, path, required): An Ardoq identifier (OID) ### Responses #### 200 - Success - **rootWorkspace** (string): This is a read-only field maintained by the backend to simplify workspace lookups. It is derived from the `source` attribute. A reference's `rootWorkspace` cannot be changed by modifying this attribute. (example: "bb152787baa4dc47536ba6eb") - **targetWorkspace** (string): This is a read-only field maintained by the backend to simplify workspace lookups. It is derived from the `target` attribute. A reference's `targetWorkspace` cannot be changed by modifying this attribute. (example: "5ce4601751691a56dc798f8a") - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") - **source** (string) (required): ID of the reference's source component. (example: "50df3e8d7f18b53672cb786f") - **type** (integer (int64)) (required): Required type ID for the reference. This ID must be a valid type defined by the model that is used by the `rootWorkspace`. (example: 2) - **_id** (string) (required): The unique Ardoq identifier (oid) of the reference. (example: "ec9919750b0d43273344fab0") - **target** (string) (required): ID of the reference's target component. (example: "c05da56a298a4bc1d7e6fe9b") - **_version** (integer (int64)) (required): Reference versions are used to resolve contention between different users editing the same entity simultaneously. This value should not be modified. (example: 1) - **description** (string): Optional description for your reference (example: "This is a reference description.") - **displayText** (string): Optional display label for your reference in views such as the block diagram. (example: "Depends on") - **customFields** (object) (required): A custom field is a key/value pair that is not intrinsic to the ardoq model. ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/references/{id}" ``` ``` -------------------------------- ### GET /api/v2/workspaces/{id}/context Source: https://developer.ardoq.com/api/v2/openapi.json Information required for interacting with entities that belong to the workspace. ```markdown ### Parameters - **id** (string, path, required): An Ardoq identifier (OID) ### Responses #### 200 - Success - **rootWorkspace** (string) (required): The Ardoq identifier (OID) of the workspace that the model overview describes. (example: "636cd6aa6565545384dfc401") - **customFields** (array (object)) (required): Information about the custom fields supported by components and references in this workspace. Array items: - **apiKey** (string) (required): The key used to identify the field when using the API. (example: "my_field") - **label** (string) (required): The human readable label for the field. This is the value that you will see when working the Ardoq UI. (example: "My Field") - **type** (string) (required): The type of the field. (example: "Number") - **defaultValue** (unknown) (required): The default value for the field. - **calculated** (boolean) (required): Calculated fields are **read only** and should not be included in **create** and **update** requests. - **readOnly** (boolean) (required): True if the field can not be updated directly by the user. - **description** (string) (required): An optional description of the field. - **options** (array (string)): The set of allowed values. This field is only present on _list like_ types. - **componentTypes** (array (object)) (required): Information about the component types. Array items: - **typeId** (unknown) (required): The internal type identifier (example: "p78263746293840") - **name** (string) (required): The human readable name of the type (example: "Application") - **customFields** (array (string)) (required): A list of custom fields supported by the component type. (example: ["my_field"]) - **parent** (object): The parent of the type based on the models hierarchy. (example: {"name":"Server","typeId":"p16253887927364"}) - **typeId** (unknown) (required): The internal type identifier (example: "p78263746293840") - **name** (string) (required): The human readable name of the type (example: "Application") - **referenceTypes** (array (object)) (required): Information about the reference types. Array items: - **type** (integer (int64)) (required): The internal type identifier (example: 5) - **name** (string) (required): The human readable name of the type (example: "Knows") - **customFields** (array (string)) (required): A list of custom fields supported by the reference type. (example: ["my_field"]) - **tags** (array (object)) (required): A list of all tags that are available for components and references in this workspace. Array items: - **name** (string) (required): The name of the tag (example: "tagliatelle") ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/workspaces/{id}/context" ``` ``` -------------------------------- ### GET /api/v2/reports Source: https://developer.ardoq.com/api/v2/openapi.json List all reports. Query parameters can be used to retrieve a subset of the reports. All included query parameters are interpreted as forming a logical **conjunction**, meaning that only reports that satisfy every property will be returned. ```markdown ### Parameters - **name** (string, query, optional): The name of the report. ### Responses #### 200 - Success - **values** (array (object)) (required) Array items: - **_id** (string) (required): The unique Ardoq identifier (oid) of the report. (example: "63ea1a02bbed2e0001a19a9c") - **_version** (integer (int64)) (required): The current version of the report. Versions are used to resolve contention between different users editing the same entity simultaneously. (example: 1) - **name** (string) (required): Name of report and stored query (example: "The best of reports") - **datasource** (string (graphSearch|advancedSearch)) (required): The type of data source backing the report ("graphSearch"|"advancedSearch") - **columns** (array (object)) (required): Information about the columns in a report Array items: - **label** (string) (required): The column name as displayed in the Ardoq UI. (example: "Application") - **key** (string) (required): The api name of the custom field or built-in property (or custom gremlin result) (example: "application") - **description** (string): An optional description of the report - **_meta** (object) (required): Metadata about the entity. - **created** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was created. (example: "2025-12-10T11:58:42.273Z") - **createdBy** (string) (required): The internal Ardoq identifier of the user that created the entity. (example: "e42ef6d34240cbd9b9c71662") - **lastUpdated** (string (date-time)) (required): A Coordinated Universal Time (UTC) timestamp generated when the entity was last updated. (example: "2025-12-10T11:58:42.369Z") - **lastModifiedBy** (string) (required): The internal Ardoq identifier of the user that last modified the entity. (example: "e0597cb1defb51ea799ae4ae") - **createdByEmail** (string (email)) (required): The current email address of the user that created the entity. (example: "creator@ardoq.com") - **createdByName** (string) (required): The current name of the user that created the entity. (example: "Mr. Ardoq") - **lastModifiedByEmail** (string (email)) (required): The current email address of the user that last modified the entity. (example: "updater@ardoq.com") - **lastModifiedByName** (string) (required): The current name of the user that last modified the entity. (example: "Ms. Ardoq") - **_links** (object) (required): Links related to the paginated results. - **next** (object): A link to the next page in a paginated result. - **href** (string) (required): A URI that can be used to retrieve the next set of paginated results. - **_meta** (object): Metadata related to the paginated response. ### Example Usage ```bash curl -X GET "https://app.ardoq.com/api/v2/reports?name=string" ``` ```